import 'package:clean_android_design/clean_android_design.dart';
import 'package:flutter/material.dart';

class SimpleScaffoldMenuButtonWidget extends StatelessWidget {
  final Text text;
  final GestureTapCallback onTap;
  final String tooltip;

  const SimpleScaffoldMenuButtonWidget(
      {Key key, this.text, this.onTap, this.tooltip})
      : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Expanded(
        child: Tooltip(
      message: tooltip,
      child: Container(
        padding: EdgeInsets.symmetric(horizontal: 5),
        height: 50,
        child: Material(
          color: CleanAndroidDesignDefaultColors.background,
          borderRadius: BorderRadius.circular(10),
          child: InkWell(
            borderRadius: BorderRadius.circular(10),
            onTap: onTap,
            child: Center(
              child: DefaultTextStyle(
                  style: TextStyles.textStyleSize(19).copyWith(
                      color: CleanAndroidDesignDefaultColors.accent,
                      fontWeight: FontWeight.w600),
                  child: text),
            ),
          ),
        ),
      ),
    ));
  }
}
