import 'dart:core';

import 'package:flutter/material.dart';

class Validator<T> {
  final List<IValidation> _validations = <IValidation>[];

  void addValidation(IValidation validation) {
    _validations.add(validation);
  }

  bool isValid() {
    _validations.forEach((validation) => validation?.validate());
    return _validations.every((validation) => validation?.validate() ?? true);
  }

  FocusNode firstInvalid() {
    return _validations
        .firstWhere((validation) => !validation.validate(), orElse: null)
        ?.focusNode;
  }
}

abstract class IValidation {
  IValidation({this.focusNode});
  final FocusNode focusNode;

  bool validate();
}
